/*
;
;  File: PRIVATE.H  - declarations & prototypes private between
;                     WinMon.EXE and WinMon.DLL
;
;  Copyright 1993, 1994, 1995, David Burki
;  All rights reserved.
;
;  Author: D. Burki
;  Created: June 3, 1993
;
*/

/*
; this define determines whether .ini file support
; is includeed in the .EXE and the .DLL
*/

#include <stdlib.h>

#define MAX_FILESPEC_LEN _MAX_PATH+ _MAX_FNAME + _MAX_EXT + 1
/*
; this struct is used to share data between
; the winmon .exe and the .dll
*/
typedef struct _shared_vars   // shv
{
  HWND  hwndList;
  BOOL  bIsPaused;
  BOOL  bIsStamped;
  BOOL  bStayOnTop;
  BOOL  bOverWrite;
  char  pszSaveFileName[MAX_FILESPEC_LEN];
  UINT  usAutoSaveCount;
  BOOL  bClearAfterFileSave;
  BOOL  bSaveOnExit;
  int   iNumWillDisplay;
} SHARED_VARS, *PSHARED_VARS;


/*
;   function prototypes
*/
VOID CALLBACK _export vInitDLL(LPSTR, PSHARED_VARS, BOOL);
VOID vFileSave( HWND );
BOOL bFileWrite( HWND, LPSTR, BOOL );
VOID vSetMenuItemChecks( HMENU, WORD, WORD );
HWND GetMainHwnd( void );
PSHARED_VARS GetSharedVars( VOID );
VOID SetProperties( HWND );
VOID GetStartUpPath( HINSTANCE );
int  RestoreXYLoc( HWND, char * );
int GetINIEntry( char *, char *, char *, unsigned );
int SaveXYLoc( void );
int SaveHeightWidth( void );
int SaveOutputFileSpec( char * );
int SaveOverWrite( BOOL );
int SaveAutoSaveCount( unsigned );
int SaveStayOnTop( BOOL );
int SavePause( BOOL );
int SaveStamp( BOOL );
int SaveClearAfterSave( BOOL );
int SaveSaveOnExit( BOOL );
BOOL FAR PASCAL _export SettingsDlgProc( HWND, UINT, UINT, LONG );


#define UM_SAVE             WM_USER + 100
#define UM_ONTOP            WM_USER + 101
//#define UM_PAUSE_MENU_CHECK WM_USER + 102
//#define UM_OVERWRITE        WM_USER + 103

/*
; defines the maximum length, after formatting & insertion,
; of a string processed by WINMON_iMsg().
*/
#define MAX_FORMATTED_STRING_LENGTH   512

#ifdef PW_INCLUDE
char szPassword[] = "Copyrite 1993 - 1995, David L. Burki";
#endif


/*
; macros
*/
#define InvertBool(x) ((x == TRUE) ? FALSE : TRUE)



